%define major	1
%define libname %mklibname xpresent %{major}
%define devname %mklibname xpresent -d

Name: libxpresent
Summary: A Xlib-compatible API for the Present extension
Version: 1.0.1
Release: %mkrel 2
Group: System/Libraries
License: MIT
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/lib/libXpresent-%{version}.tar.xz

BuildRequires: x11-util-macros
BuildRequires: pkgconfig(xproto)
BuildRequires: pkgconfig(presentproto)
BuildRequires: pkgconfig(xextproto)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xrandr)

%description
This package contains header files and documentation for the Present
extension.  Library and server implementations are separate.

#-----------------------------------------------------------

%package -n %{libname}
Group: System/Libraries
Summary: A Xlib-compatible API for the Present extension

%description -n %{libname}
This package contains header files and documentation for the Present
extension.  Library and server implementations are separate.

%files -n %{libname}
%{_libdir}/libXpresent.so.%{major}*

#-----------------------------------------------------------
%package -n %{devname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}-%{release}
Provides: xpresent-devel = %{version}-%{release}
Provides: libxpresent-devel = %{version}-%{release}

%description -n %{devname}
Development files for %{name}.

%files -n %{devname}
%{_includedir}/X11/extensions/Xpresent.h
%{_libdir}/libXpresent.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

#-----------------------------------------------------------

%prep
%setup -q -n libXpresent-%{version}

%build
%configure2_5x \
	--disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete


%changelog
* Wed Aug 02 2023 tex - 1.0.1-2pclos2023
- rebuild against updates

* Wed Oct 19 2022 tex - 1.0.1-1pclos2022
- new version

* Wed Jan 26 2022 tex - 1.0.0-2pclos2022
- rebuild against updates

* Tue Feb 11 2020 tex - 1.0.0-1pclos2020
- create
